Index: debian/changelog
===================================================================
--- debian/changelog	(revision 1614)
+++ debian/changelog	(working copy)
@@ -73,6 +73,13 @@
   * bts: document that the cache auto-cleaning is overzealous on noatime
     partitions. Patch from intrigeri <intrigeri@boum.org>. (Closes: #488486)
 
+  [ Colin Watson ]
+  * dpkg-depcheck: Remove -F in order to be compatible with current strace.
+    I'm not sure exactly when plain 'strace -f' started being able to follow
+    vfork on Linux, but it's at least as long ago as Debian 4.0, possibly
+    strace 4.4.93 which would place it before Debian 3.1, so a dependency
+    doesn't seem to be necessary.
+
  -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 30 Aug 2008 19:58:43 +0200
 
 devscripts (2.10.35) unstable; urgency=low
Index: scripts/dpkg-depcheck.pl
===================================================================
--- scripts/dpkg-depcheck.pl	(revision 1614)
+++ scripts/dpkg-depcheck.pl	(working copy)
@@ -391,7 +391,7 @@
 	$file = $opts{"strace-output"} || `tempfile -p depcheck`;
 	chomp $file;
 	$file =~ s%^(\s)%./$1%;
-	my @strace_cmd=('strace', '-e', 'trace=open,execve',  '-f', '-F',
+	my @strace_cmd=('strace', '-e', 'trace=open,execve',  '-f',
 			'-q', '-o', $file, @_);
 	$ENV{'LD_PRELOAD'} = $trace_preload;
 	$ENV{'LC_ALL'}="C" if $opts{"C"};
